#ifndef __MP_TRANS_MSG_H__
#define __MP_TRANS_MSG_H__

#include "libavutil/common.h"

#define	FILE_MAGIC	"MPLAYER TRANSLATE MESSAGE"

typedef struct st_mp_trans_msg_header {
    char 	file_magic[32];
    char 	codebase[16];
    uint64_t	file_version;
    uint64_t	file_subversion;
    uint64_t	index_number;
    uint64_t	index_offset;
    uint64_t	trans_start;
    } t_mp_trans_msg_header;

typedef struct st_mp_trans_msg_index {
    uint32_t	text_length;
    uint32_t	text_hash;
    uint32_t	trans_offset;
    uint32_t	trans_length;
    } t_mp_trans_msg_index;

#endif
